/**
 * \file hello_util.c
 * \brief Implements auxillary routines for the HelloWorld application
 *
 * \date Oct 7, 2010
 * \author Sergey Levi <sergeyle@gmail.com>
 */

#include <time.h>
#include <stdio.h>

#include "hello_util.h"

int print_with_timestamp(char *msg)
{
    char buf [TIME_STR_LEN];
    time_t  rawtime;
    struct tm *timeinfo;

    time(&rawtime);
    timeinfo = localtime(&rawtime);
    if ( 0 == strftime(buf, TIME_STR_LEN, "%c", timeinfo) )
    {
        return -1;
    }

    printf("%s: \"%s\"\n", buf, msg);
    return 0;
}
