/**
 * \file hello_util.c
 * \brief Implements auxillary routines for the HelloWorld application
 *
 * \date Oct 7, 2010
 * \author Sergey Levi <sergeyle@gmail.com>
 */

#include <string.h>
#include <ncurses.h>

#include "hello_util.h"

/**
 * Use the ncurses library to print a message in the center of the screen
 */

int print_in_center(char *msg)
{
    int row, col;
    initscr();                                          // initialize ncurses

    getmaxyx( stdscr, row, col );                       // get screen width and height
    mvprintw( row / 2, (col-strlen(msg)) / 2,           // move to screen center and print
              "%s", msg);                               // the message

    refresh();                                          // refresh to see the result
    getch();                                            // read user input
    endwin();                                           // leave ncurses mode
    return 0;
}

