/**
 * \file snakeMain.cpp
 * \brief Implements the main routine of the Snake game application
 *
 * \date Nov 5, 2010
 * \author Sergey Levi <sergeyle@gmail.com>
 */

#include <ncurses.h>
#include <stdlib.h>
#include <time.h>

#include "snakeGame.h"

int main (int argc, char **argv)
{
    initscr();                                          // initialize ncurses

    noecho();
    cbreak();
    timeout(0);
    keypad(stdscr, true);
    curs_set(false);
    refresh();

    srand( time(NULL) );
    SnakeGame board;
    board.gameLoop();
    timeout(-1);
    endwin();                                           // leave ncurses mode
    return 0;
}
